import math as mp
import matplotlib.pyplot as plt
import numpy as np

g = 1.62 #[m/s^-2]
mu_w = 0.9
mu_r = 0.1
m = 6 #[kg]
r = 0.075 #[m]

Fz = m*g/4
F_aan = 0 #[N]
F_eff = 0

v_kar = 2.1 #[m/s]
s_kar = 0 #[m]

time = 20
dt = 0.01

F_list = []
a_list = []
v_list = []
s_list = []
t_list = []

"""
#SCENARIO 1a
Fn = Fz*mp.cos(mp.radians(20))
Fzt = Fz*mp.sin(mp.radians(20))
F_rol = Fn*mu_r
for i in range(round(10/dt)):

    a_kar = F_eff/(m/4)
    v_kar = v_kar+a_kar*dt
    s_kar = s_kar+v_kar*dt
    F_eff = (F_aan-F_rol-Fzt)

    F_list.append(F_eff)
    a_list.append(a_kar)
    v_list.append(v_kar)
    s_list.append(s_kar)
    t_list.append(dt*i)
#"""

"""
#SCENARIO 2a
Fn = Fz
F_rol = Fn*mu_r

for i in range(round(time/dt)):
    if(v_kar < 0):
        F_rol=0
        F_eff=0

    a_kar = F_eff/(m/4)
    v_kar = v_kar+a_kar*dt
    s_kar = s_kar+v_kar*dt
    F_eff = (F_aan-F_rol)

    F_list.append(F_eff)
    a_list.append(a_kar)
    v_list.append(v_kar)
    s_list.append(s_kar)
    t_list.append(dt*i)
#"""

"""
#SCENARIO 3a
Fn = Fz*mp.sin(mp.radians(20))
Fzt = Fz*mp.cos(mp.radians(20))
F_rol = Fn*mu_r

for i in range(round(10/dt)):

    a_kar = F_eff/(m/4)
    v_kar = v_kar+a_kar*dt
    s_kar = s_kar+v_kar*dt
    F_eff = (F_aan-F_rol+Fzt)

    F_list.append(F_eff)
    a_list.append(a_kar)
    v_list.append(v_kar)
    s_list.append(s_kar)
    t_list.append(dt*i)
#"""


plt.plot(t_list,F_list)
plt.plot(t_list,a_list)
plt.plot(t_list,v_list)
plt.plot(t_list,s_list)
plt.legend(['Kracht','Acceleratie','Snelheid','Afstand'])
plt.show()